function spo = setupSerial(comPort)
% SETUPSERIAL  Opens a serial connection to the specified comPort
% Accepts comPort as string or character array.
% Returns serial port object.
% Communication can subsequently be achieved using fscanf and fprintf:
% output = fscanf(spo)
% fprintf(spo,format,input)
% See also FSCANF, FPRINTF.

if ~isempty(instrfind) 
    fclose(instrfind); 
    delete(instrfind);
end


spo = serial(comPort,'baudrate',115200, 'parity', 'even');
spo.OutputBufferSize = 120;
fopen(spo);

end
